Bug 431178 - GStreamer and cdparanoia cause CD drive spins at maximum speed when playing CD
GStreamer and cdparanoia cause CD drive spins at maximum speed when playing CD
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-01 05:32 EST by Mario Torre
Modified: 2009-01-09 00:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:53:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Add set_speed to scsi_interface.c for cdparanoia-III-alpha9.8 (699 bytes, patch)
2008-02-02 15:30 EST, Mario Torre
no flags Details | Diff
Sets cd drive speed to default to 4 (as xine also does) instead of the default (528 bytes, patch)
2008-02-02 15:31 EST, Mario Torre
no flags Details | Diff

  None (edit)
Description Mario Torre 2008-02-01 05:32:31 EST
Description of problem:

Playing an audio CD on my laptop (HP DV8291ea) using a GStreamer based
application (like gst-launch, totem, rhythmbox) causes the CD drive to run at
full speed. This is disturbing both for the noise and for the vibrations. Using
other apps like Amarok does not push the drive to the limit.

I have tracked down the problem to be either the gstcdparanoiasrc plugin or the
cdparanoia library, but had not time to read the code.

You can test it easily by doing:

gst-launch cdparanoiasrc ! alsasink

and then Amarok and comparing the two.

There is a similar bug report in the Ubuntu launchpad, so this is not Fedora


Version-Release number of selected component (if applicable):

[neugens@nirvana ~]$ rpm -q gstreamer-plugins-base ; rpm -q cdparanoia

How reproducible:


Steps to Reproduce:
1. Insert you favorite CD
2. run a GStreamer based application, or use gst-launch like:
   gst-launch cdparanoiasrc ! alsasink
3. Listen to the drive spinning at fool (not a typo) speed
Actual results:

The CD drive spins at full speed

Expected results:

To play an audio CD, a read speed of 1x is the only one needed.

Additional info:

It seems to happen only with GStreamer; cdparanoiasrc has a "read-speed"
property, but it seems not to be honored. That is, this command:

gst-launch cdparanoiasrc read-speed=24 ! alsasink

and this command:

gst-launch cdparanoiasrc read-speed=1 ! alsasink

have the same effect.
Comment 1 Mario Torre 2008-02-01 05:39:40 EST
Thinking about it, the fact that read-speed is not honored, may hide a bug in
cdparanoia and not in gstreamer itself... I'll try to give a look at the code
tonight. I don't think it's an high priority bug, but it is quite disturbing if
you plan to use your Linux box as media center (or.. well, if you use your
laptop as a huge cdplayer like I do :).
Comment 2 Mario Torre 2008-02-02 14:35:25 EST
After further analysis I think that this is in fact a bug against cdparanoia.

I've not gone through accurate testing yet, but I think that the problem is in
the function "scsi_init_drive" (see
cdparanoia-III-alpha9.8/interface/scsi_interface.c:1612). Apparently, setting
drive speed is not supported by cdparanoia on SCSI devices...

Comment 3 Mario Torre 2008-02-02 15:27:58 EST
I've attached two patches that fix the problem for me. The first adds speed
setting capability via ioctl to cdparanoia (apply to cdparanoia-alpha9.8-27.2),
the other sets the default speed to 4 in gstreamer-plugin-base (apply to 
gstreamer-plugins-base-0.10.15-1). These need more testings as they may kill
your cddrive, so use with care!! I have the patched spec files for rpm also if
you need these.
Comment 4 Mario Torre 2008-02-02 15:30:25 EST
Created attachment 293804 [details]
Add set_speed to scsi_interface.c for cdparanoia-III-alpha9.8

Apply this patch to cdparanoia-alpha9.8-27.2.src.rpm
Comment 5 Mario Torre 2008-02-02 15:31:51 EST
Created attachment 293805 [details]
Sets cd drive speed to default to 4 (as xine also does) instead of the default

Apply this patch to gstreamer-plugins-base-0.10.15-1.fc8.src.rpm
Comment 6 Adam Jackson 2008-03-04 15:59:42 EST
These look plausible to me, and didn't get a clear nak from the cdparanoia
maintainer.  Building for rawhide now.  Can you test them from rawhide, or
should I push F8 update candidates too?
Comment 7 Mario Torre 2008-03-04 16:11:41 EST
If you can push on update-testing, that would be great for me :)

Comment 8 Yaakov Nemoy 2008-03-12 11:41:29 EDT
What is the status of this bug?  Is it in the process of being fixed?  Or can we
close it?

I'm moving it to cdparanoia since that's where the bug seems to apply to.
Comment 9 Bug Zapper 2008-11-26 04:39:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-01-09 00:53:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.